Bug 507125 - RFE: callweaver-dahdi
RFE: callweaver-dahdi
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: callweaver (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-21 01:53 EDT by Bruno Wolff III
Modified: 2010-06-28 09:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:11:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2009-06-21 01:53:48 EDT
Description of problem:
With zaptel not being updated for recent kernels it would be nice to have a callweaver-dahdi package to work with the replacement for zaptel.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Reis Peixoto 2009-07-28 01:45:44 EDT
(In reply to comment #0)

are you able to give a patch ?
Comment 2 Bruno Wolff III 2009-07-28 09:09:39 EDT
No, but I think most or all of what is needed is in 1.2.1 which it looks like you are working on.
I won't get a chance to help for the next couple of weeks, but eventually I want to get one of either asterisk or callweaver working relatively reliably on my system. Neither seems to be getting much love in Fedora right now.
Comment 3 Itamar Reis Peixoto 2009-07-28 09:17:00 EDT
(In reply to comment #2)
I want the callweaver 1.2.1 too, but it seems to require a newer version of spandsp, and the owner of spandsp is Jeffrey C. Ollie

let me cc it in this bug.
Comment 4 Bruno Wolff III 2009-07-28 12:25:00 EDT
I don't think jcollie is an active Fedora developer right now. You might try asking to co-maintain spandsp if you have interest in doing that. I don't know the exact procedure, but it shouldn't be too hard to get that access.
Comment 5 Itamar Reis Peixoto 2009-07-28 12:46:21 EDT
(In reply to comment #4)

I have asked commit rights in pkgdb, waiting answer.
Comment 6 Jeffrey C. Ollie 2009-07-28 12:59:08 EDT
I'm still an active packager, although I admit that I've ignored Asterisk and related packages for far too long.  Part of it is that my git repository for maintaining the Asterisk patches got corrupted and I haven't taken the time to rebuild it.  I've started that process, but it will take some time to rebuild.  Meanwhile I've submitted spandsp 0.0.6pre12 to rawhide.  It bumped the soname so Asterisk and CallWeaver will need to be rebuilt.
Comment 7 Bruno Wolff III 2009-07-28 17:29:08 EDT
Thanks!
Comment 8 Itamar Reis Peixoto 2009-07-29 11:03:37 EDT
(In reply to comment #7)
> Thanks!  

1.2.1 here ->

http://koji.fedoraproject.org/koji/taskinfo?taskID=1563029

Can you test it ?


you can download spandsp.src.rpm and callweaver.src.rpm and rebuild in your machine.
Comment 9 Bug Zapper 2010-04-27 11:07:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 09:11:17 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.